import { Fragment, isVNode, Comment } from 'vue';
function ensureValidVNode(vnodes) {
    return vnodes.some((child) => {
        if (!isVNode(child)) {
            return true;
        }
        if (child.type === Comment) {
            return false;
        }
        if (child.type === Fragment && !ensureValidVNode(child.children)) {
            return false;
        }
        return true;
    })
        ? vnodes
        : null;
}
export function resolveSlot(slot, fallback) {
    return (slot && ensureValidVNode(slot())) || fallback();
}
