import { VNodeChild } from 'vue';
import { MessageSetupProps } from './message-props';
export declare type MessageType = 'info' | 'success' | 'warning' | 'error' | 'loading';
export declare type RenderMessageProps = Pick<MessageSetupProps, 'closable' | 'content' | 'icon' | 'onClose' | 'type'>;
export declare type MessageRenderMessage = (props: RenderMessageProps) => VNodeChild;
export interface MessageOptions {
    render?: MessageRenderMessage;
    duration?: number;
    closable?: boolean;
    keepAliveOnHover?: boolean;
    icon?: () => VNodeChild;
    onClose?: () => void;
    onLeave?: () => void;
    onAfterLeave?: () => void;
}
