"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.useCssVarsClass = void 0;
const vue_1 = require("vue");
const hash_1 = __importDefault(require("@emotion/hash"));
const cssr_1 = require("../_utils/cssr");
// window.xxx = 0
function useCssVarsClass(cssVarsRef) {
    const cssVarsClassRef = (0, vue_1.ref)('');
    (0, vue_1.watchEffect)(() => {
        // window.xxx -= performance.now()
        const cssVars = cssVarsRef.value;
        let style = '';
        for (const key in cssVars) {
            style += `${key}: ${cssVars[key]};`;
        }
        const styleHash = (0, hash_1.default)(style);
        cssVarsClassRef.value = `c${styleHash}`;
        (0, cssr_1.c)(`.c${styleHash}`, style).mount({
            id: styleHash
        });
        // window.xxx += performance.now()
    });
    return cssVarsClassRef;
}
exports.useCssVarsClass = useCssVarsClass;
