"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveSlot = void 0;
const vue_1 = require("vue");
function ensureValidVNode(vnodes) {
    return vnodes.some((child) => {
        if (!(0, vue_1.isVNode)(child)) {
            return true;
        }
        if (child.type === vue_1.Comment) {
            return false;
        }
        if (child.type === vue_1.Fragment && !ensureValidVNode(child.children)) {
            return false;
        }
        return true;
    })
        ? vnodes
        : null;
}
function resolveSlot(slot, fallback) {
    return (slot && ensureValidVNode(slot())) || fallback();
}
exports.resolveSlot = resolveSlot;
